Subject: RE: cr-lsp

From: Shahram Davari <[email-masked]>
Date: Mon, 25 Mar 2002 13:40:30 -0800

Mohammed,
 
Also have a look at the ISSL WG documents. DCLASS object is defined for the scenario that you described.
 
Yours,
-Shahram 

-----Original Message-----
From: David Allan [mailto:[email-masked]]
Sent: Monday, March 25, 2002 12:17 PM
To: Mohammed; [email-masked]
Subject: RE: cr-lsp

Abrar: 

You're discussing interworking some type of user signalling (probably RSVP) with CR-LDP. I assume the host would have no knowledge of there being an intevening MPLS network in the path and in just about all cases would not have sufficient information to perform a CSPF calculation. It would just ask for the path and let the network do the work. 

The example you are providing looks to be more INTSERV than anything else so I'd suggest scanning those RFCs. The LER receiving the RSVP message requesting the flow, would need to map it to an LSP (which it may need to create) and tunnel the RSVP messages through to the far end (e.g. RSVP should not need to be visible to the intermediate LSRs in the path). This would get you the e2e significance for the host initiated reservation.

hope this helps 
Dave 

> -----Original Message----- 
> From: Mohammed [ mailto:[email-masked] <mailto:[email-masked]> ] 
> Sent: Sunday, March 24, 2002 4:59 PM 
> To: [email-masked] 
> Subject: cr-lsp 
> 
> 
> Hi all, 
> 
>   I have a question related to constrained routed lsp 
> setup using cr-ldp. 
> 
>  A cr-lsp is setup dynamically on demand and is setup 
> for a flows or flows. Consider a flow generated by a 
> host running IP and also consider that the flow 
> requires a bandwidth of x bps. To establish a cr-lsp 
> for such a flow, the host will first have to reserve a 
> contrained path. Suppose the host gets the knowledge 
> of such a path using some cspf algorithm. 
> 
>  Upon getting the path the source (host) needs to send 
> the path establishment request to the nearest ingress 
> LSR. 
> 
>  Question : 
> 
> (1) How do we guarantee end 2 end quality os service 
> in such a case ? 
> 
> (2) How is the request propagated to the nearest LSR 
> so that the cr-lsp can be established ? 
> 
> (3) How will the flow be treated when it leaves the 
> MPLS domain ? 
> 
>  In short, how will the host inform the nearest 
> ingress lsr about such a flow and path ? 
> 
> Any pointers in this area are welcome. 
> 
> Please do correct me if i have mis interpreted some 
> thing some where. 
> 
> Sincerely, 
> Abrar Hussain. 
> 
> 
> ===== 
> Abrar Hussain. 
> Graduate Student/Network Designer. 
> The University of Toledo. 
> Toledo,OH. 
> 
> __________________________________________________ 
> Do You Yahoo!? 
> Yahoo! Movies - coverage of the 74th Academy Awards® 
> http://movies.yahoo.com/ <http://movies.yahoo.com/>  
>